Azure SDK for Python
====================

The Azure SDK for Python package makes it easy to consume and manage Microsoft Azure Services. The Azure SDK for Python supports Windows, Mac and Linux.

## Installation

The Azure SDK can be installed from the [Python Package Index](https://pypi.python.org/pypi/azure).

To install the **latest stable version** (supports Python 2.7 and 3.3+):

```
pip install azure
```

To install from the latest sources in the Git repository (requires Git to be installed):

```
pip install git+https://github.com/Azure/azure-sdk-for-python.git
```

## Support

The Git repository for the SDK is located at [https://github.com/Azure/azure-sdk-for-python](https://github.com/Azure/azure-sdk-for-python).

If you find any issues or have any questions regarding the usage of the SDK, [please file issues at the repository](https://github.com/Azure/azure-sdk-for-python/issues).

## Documentation

The [readme in the repository](https://github.com/Azure/azure-sdk-for-python) includes some basic documentation and code examples.

The [Python Developer Center](http://azure.microsoft.com/en-us/develop/python/) on [azure.microsoft.com](http://azure.microsoft.com/) has more documentation on the various features of the SDK:

 - [Storage Blob](http://azure.microsoft.com/en-us/develop/python/how-to-guides/blob-service/)
 - [Storage Queue](http://azure.microsoft.com/en-us/develop/python/how-to-guides/queue-service/)
 - [Storage Table](http://azure.microsoft.com/en-us/develop/python/how-to-guides/table-service/)
 - [Service Bus Queues](http://azure.microsoft.com/en-us/develop/python/how-to-guides/service-bus-queues/)
 - [Service Bus Topics/Subscriptions](http://azure.microsoft.com/en-us/develop/python/how-to-guides/service-bus-topics/)
 - [Service Management](http://azure.microsoft.com/en-us/develop/python/how-to-guides/service-management/)

For public APIs without documentation, the [unit tests](https://github.com/Azure/azure-sdk-for-python/tree/master/tests) are a good source of information.
